• Вопрос без рабочей ссылки на проблему считается риторическим. Без ссылки и скриншота - провокацией!

Проблема с вариантивным товаром, видимо после апдейта

Image CMS

nuts

Опытный
#1
Привет, после последних апдейтов woo и WP, заметил что обычные вариантивные товары не могут быть добавлены в корзину почему-то.

т.е. раньше все было ОК, забит товар, проставлены атрибуты и опции, но на frontend странице я не могу купит товар - какую опцию я бы не выбрал "добавить в корзину" не появляется. что-то изменилось в логике в последнее время?
 

nuts

Опытный
#3
ой ой, а вот тему как раз я и забыл обновить!
спасибо за совет, проверю сейчас
 

nuts

Опытный
#4
странно - off top вопрос.
не моуг ничего загрузить на сервер
получаю: "Загруженный файл не удалось переместить в wp-content/uploads/2015/08."

wtf?
 

nuts

Опытный
#7
оказалось место закончилось на хостинге)))

так, я обновил тему, а толку ноль. варианты не добавляются в корзину упорно. что может быть не так??
 

nuts

Опытный
#8
Ваша тема совместима с последней версией WooCommerce 2.4.x ?
посмотрел статус системы после обновления темы - есть пара ошибок,

.../woocommerce/single-product/add-to-cart/variable.php версия 2.3.0 устарела. Версия ядра 2.4.0,

woocommerce/content-product.php версия 1.6.4 устарела. Версия ядра 2.4.0,
woocommerce/single-product/tabs/tabs.php версия 2.0.0 устарела. Версия ядра 2.4.0,

Я так понимаю как раз первый пункт, судя по названию, может быть ответсвенным за вариативный товар.

Прав ли я?
 

searchingman

Гуру
Местный
#9
посмотрел статус системы после обновления темы - есть пара ошибок,

.../woocommerce/single-product/add-to-cart/variable.php версия 2.3.0 устарела. Версия ядра 2.4.0,

woocommerce/content-product.php версия 1.6.4 устарела. Версия ядра 2.4.0,
woocommerce/single-product/tabs/tabs.php версия 2.0.0 устарела. Версия ядра 2.4.0,

Я так понимаю как раз первый пункт, судя по названию, может быть ответсвенным за вариативный товар.

Прав ли я?
Правильно понимаете.
Вероятно автор темы еще не адаптировал ее по новую версию WooCommerce 2.4.x